package com.fp.persistence.commondb.data;


/**
 * Thread local que almacena datos de codigo de compania, como de UserTransaction a ser utilizados 
 * en el hilo de ejecucion.
 * @author Jorge Vaca.
 * @version 2.1
 */
public class ThreadFacade {

	/**Almacena una instancia de SaaveRequest con los datos de entrada.*/
	private static final ThreadLocal<SessionData> threadsave = new ThreadLocal<SessionData>();	
	
	/**
	 * Metodo que entrega datos del SessionData. 
	 * @return  SessionData
	 */
	public static SessionData getSessionData() {
		return (SessionData) threadsave.get();
	}		

	/**
	 * Metoo que almacena en el thread local datos de SessionData.
	 * @param SessionData
	 */
	public static void setSaveRequest(SessionData pSessionData) {		
		threadsave.set(pSessionData);
	}	

}
